Package org.eclipse.mat.query.quantize

# Class LatestValueFunction

java.lang.Object
org.eclipse.mat.query.quantize.LatestValueFunction

All Implemented Interfaces:
  `Quantize.Function.Factory`

public final class LatestValueFunction extends Object implements Quantize.Function.Factory
Simple quantize function which just returns the last value add to the distribution bucket.

Its purpose is performance optimization: Assume you want to create a frequency distribution on column value A and you know there is a 1:1 relationship to column value B, one can use the LatestValueFunction to display column value B instead of adding B to the composite key (A,B).

## Constructor Summary

Constructors
Constructor
Description
`LatestValueFunction()`

## Method Summary

Modifier and Type
Method
Description
`Quantize.Function`
`build()`
Builds a new function.
`Column`
`column(String label)`
Creates a new column to display the values of a function.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LatestValueFunction

public LatestValueFunction()

## Method Details

### build

public Quantize.Function build() throws Exception
Description copied from interface: `Quantize.Function.Factory`
Builds a new function.

Specified by:
  `build` in interface `Quantize.Function.Factory`
Returns:
  the new function.
Throws:
  `Exception` - if there is a problem constructing the new Function.

### column

public Column column(String label)
Description copied from interface: `Quantize.Function.Factory`
Creates a new column to display the values of a function.

Specified by:
  `column` in interface `Quantize.Function.Factory`
Parameters:
  `label` - the readable valued used to label the column
Returns:
  the new Column